Description: silence any errors from find.
Author: Kees Cook <kees@ubuntu.com>
Bug: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=455082

Index: debmirror-2.4.4/debmirror
===================================================================
--- debmirror-2.4.4.orig/debmirror	2010-04-05 11:36:47.000000000 -0700
+++ debmirror-2.4.4/debmirror	2010-04-05 11:37:46.462649134 -0700
@@ -1327,7 +1327,7 @@
 say("Everything OK. Moving meta files.");
 chdir($tempdir) or die "unable to chdir($tempdir): $!\n";
 my $res=0;
-foreach my $file (`find . -type f`) {
+foreach my $file (`find . -type f 2>/dev/null`) {
   chomp $file;
   $file=~s:^\./::;
   # this skips diff files if unwanted
@@ -1401,7 +1401,7 @@
   # makes directories.. Sort so they are removable in bottom-up
   # order.
   chdir($mirrordir) or die "chdir $mirrordir: $!";
-  system("find . -depth -type d ! -name . ! -name .. -print0 | xargs -0 rmdir 2>/dev/null") if (! $do_dry_run);
+  system("find . -depth -type d ! -name . ! -name .. -print0 2>/dev/null | xargs -0 rmdir 2>/dev/null") if (! $do_dry_run);
 }
 
 if ($res != 0) {
@@ -2287,7 +2287,7 @@
     my $ignore;
     $ignore = "(".join("|", @ignores).")" if @ignores;
     # Remove all files in the mirror that we don't know about
-    foreach my $file (`find . -type f`) {
+    foreach my $file (`find . -type f 2>/dev/null`) {
       chomp $file;
       $file=~s:^\./::;
       next if (@di_dists && $file =~ m:installer-\w+/current/images/:);
@@ -2430,11 +2430,11 @@
 
 sub di_cleanup {
   # Clean up obsolete files
-  foreach my $image_dir (`find dists/ -type d -name images`) {
+  foreach my $image_dir (`find dists/ -type d -name images 2>/dev/null`) {
     next unless $image_dir =~ m:/installer-\w+/current/images$:;
     chomp $image_dir;
     chdir("$image_dir") or die "unable to chdir($image_dir): $!\n";
-    foreach my $file (`find . -type f`) {
+    foreach my $file (`find . -type f 2>/dev/null`) {
       chomp $file;
       $file=~s:^\./::;
       if (! exists $di_files{$image_dir} || ! exists $di_files{$image_dir}{$file}) {
@@ -2450,7 +2450,7 @@
   # Clean up temporary D-I files (silently)
   if (-d "$tempdir/d-i") {
     chdir("$tempdir/d-i") or die "unable to chdir($tempdir/d-i): $!\n";
-    foreach my $file (`find . -type f`) {
+    foreach my $file (`find . -type f 2>/dev/null`) {
       chomp $file;
       $file=~s:^\./::;
       unlink "$file" or die "unlink $tempdir/d-i/$file: $!\n";
